// MAT259 Data Correlation
// SPL - NYTimes Article Search API
// Jay B. Kang

import org.json.*;
import de.bezier.data.sql.*;
import processing.opengl.*;

// mysql
MySQL msql = null;

// new york times API
String baseURL = "http://api.nytimes.com/svc/search/v1/article";
String apiKey = "fda040a2ce42c607d591ed017a428faa:12:67337481";

// Three keywords used
String[] topics = {
  "facebook", "twitter", "linkedin"
};

float[] maxVals = {0.0, 0.0}; // nyt & spl

// data containers
ArrayList<ArrayList> dArray = new ArrayList<ArrayList>();

// font
PFont myFont   = createFont("Helvetica", 16);
PFont myFont1   = createFont("Helvetica-Light-60.vlw", 60);
PFont myFont2  = createFont("Helvetica", 10);
PFont myFont3  = createFont("Helvetica", 11);

// display
int w = width;
int h = height;
float leftBorder = 20.0f;
float topBorder = 60.0f;

// system variables
int maxVal  = 0;
int gnYearStart = 2008;
int gnYearEnd   = 2012;
int numMonth    = 60;

// event: mouse rollover
boolean mouseDetected = false;

// event: keyboard
int heightMode = 1;

// event: animation
float gfAnimationSpeed = 0.5f;  // drawing one bar by 0.25s
int   gnTimeStart = 0;


