// LOAD SAVED DATA
void getSavedData(String[] topics)
{
  try {
    // get data
    for (int h=0; h<2; h++) {
      for (int i=0; i<topics.length; i++ ) {
        // initialization
        ArrayList tArray = new ArrayList(); // temp array
        String fname = (h==0 ? "nyt-" : "spl-");
        fname = fname + topics[i] + ".csv";

        // reading in
        println("reading "+fname+"...");
        String[] textData = loadStrings(fname);

        // storing data
        for ( int j=1; j<textData.length; j++ ) {
          String textSplitted[] = split(textData[j], ",");

          int y = (int)Integer.parseInt(textSplitted[0]);
          int m = (int)Integer.parseInt(textSplitted[1]);
          int val = (int)Integer.parseInt(textSplitted[2]);

          tArray.add(new Bag(y + "-" + m, y, m, val));
        }
        dArray.add(new ArrayList(tArray));
        tArray.clear();
      }
    }
    
    
    // get max value for each group (nyt/spl)
    for (int i=0; i<numMonth; i++) {
      
      int nSum = 0; // nyt sum
      int sSum = 0; // spl sum
      
      for (int j=0; j<6; j++) {
        Bag b = (Bag) dArray.get(j).get(i);
        
        if (j<3) { 
          nSum += b.count;
        }
        else { 
          sSum += b.count;
        }
      }
      if (maxVals[0] < nSum) maxVals[0] = nSum;
      if (maxVals[1] < sSum) maxVals[1] = sSum;
    }
    
  } // dArray [0-2]:nyt, [3-5]:spl
  catch (Exception E) {
    println("Error in reading data.");
  }
}

